#!/bin/bash

# uninstall logic for Server Backup Manager 5.5.7.0
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/Server Backup Manager/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for Server Backup Manager"
    touch "/Applications/Server Backup Manager/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/Server Backup Manager/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for Server Backup Manager"
    sh "/Applications/Server Backup Manager/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/Server Backup Manager/bin/taskkill" "/Applications/Server Backup Manager/BackupManager.app"
sh "/Applications/Server Backup Manager/bin/taskkill" "/Applications/Server Backup Manager/bin/BackupManager.app"
sh "/Applications/Server Backup Manager/bin/taskkill" "/Applications/Server Backup Manager/jvm/bin/java"
sh "/Applications/Server Backup Manager/bin/taskkill" "/Applications/Server Backup Manager/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/ServerBackupManager" ]; then
    echo "Remove Scheduler for Server Backup Manager from service"
    rm -rf "/Library/StartupItems/ServerBackupManager"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/ServerBackupManager-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for Server Backup Manager from service"
    rm -rf "/Library/StartupItems/ServerBackupManager-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/ServerBackupManager" ]; then
        echo "Remove Desktop Link ServerBackupManager from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/ServerBackupManager"
        echo "Removed Server Backup Manager Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove Server Backup Manager
cd /
if [ -e "/Applications/Server Backup Manager" ]; then
    echo "Remove Server Backup Manager from Your Mac OS X"
    rm -rf "/Applications/Server Backup Manager"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/obm.pkg" ]; then
    echo "Remove Mac OS X Receipt for obm.pkg (Path: /Library/Receipts/obm.pkg)"
    rm -rf "/Library/Receipts/obm.pkg"
fi
